<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button type="button" class="btn btn-primary ml-1" (click)="buscarInfo()">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button type="button" (click)="buscarInfo()" class="btn btn-danger ml-1" disabled="true">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" class="w-100"
            [format]="formatKendo" [min]="ngForm.value.fFec1">
          </kendo-datepicker>
        </div>
        <div class="col-sm-4 col-md-3 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <label class="k-form-field ml-sm-2 mt-2">
            <input type="checkbox" id="lLog1" class="k-checkbox" value="false" formControlName="lLog1">
            <label class="k-checkbox-label" for="lLog1">N = Nueva/Check In</label>
          </label>
          <label class="k-form-field ml-sm-2">
            <input type="checkbox" id="lLog2" class="k-checkbox" value="false" formControlName="lLog2">
            <label class="k-checkbox-label" for="lLog2">M = Modificación</label>
          </label>
          <label class="k-form-field ml-sm-2">
            <input type="checkbox" id="lLog3" class="k-checkbox" value="false" formControlName="lLog3">
            <label class="k-checkbox-label" for="lLog3">S = Salida/Check Out</label>
          </label>
          <label class="k-form-field ml-sm-2">
            <input type="checkbox" id="lLog4" class="k-checkbox" value="false" formControlName="lLog4">
            <label class="k-checkbox-label" for="lLog4">R = Regreso</label>
          </label>
          <label class="k-form-field ml-sm-2">
            <input type="checkbox" id="lLog5" class="k-checkbox" value="false" formControlName="lLog5">
            <label class="k-checkbox-label" for="lLog5">K = Llave Magnética</label>
          </label>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      (filterChange)="filterChange($event)" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;"
      class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <button type="button" class="btn btn-success" kendoGridExcelCommand icon="file-excel">Excel</button>
        </ng-template>
        <kendo-grid-column field="NoFolio" title="# Folio" width="130">
        </kendo-grid-column>
        <kendo-grid-column field="FechaMovto" title="Fecha Movto." width="130">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.FechaMovto | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="HoraMovto" title="Hora Movto." width="220">
          <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.HoraMovto | hour }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Tipo" title="Tipo" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Operador" title="Operador" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Apellidos" title="Apellido(s)" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Nombre" title="Nombre(s)" width="120">
        </kendo-grid-column>
        <kendo-grid-excel fileName="{{this.heading}}.xlsx" [fetchData]="allData"></kendo-grid-excel>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>